
Katello - Bug #5037

Cannot enable ISO repo sets from a manifest

04/02/2014 06:44 PM - Justin Sherrill

Status: Resolved   

Priority: Normal   

Assignee: Stephen Herr   

Category:    

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. Import a manifest

2.  Go to "red hat repositories" page

3.  Click on the ISOs tab

4.  Select one of the ISO checkboxes such as 'Red Hat Enterprise Linux 6 Server (ISOs)'

it spins and spins but then just unchecks itelf.

Traceback:

undefined method `type_id' for nil:NilClass (NoMethodError)

/home/jlsherri/git/katello/app/lib/actions/katello/repository/metadata_generate.rb:21:in `plan'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:384:in `block (3 levels) in execute_plan'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/middleware/stack.rb:26:in `call'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/middleware.rb:16:in `pass'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/middleware.rb:29:in `plan'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/middleware/stack.rb:22:in `call'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/middleware/world.rb:30:in `execute'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:383:in `block (2 levels) in execute_plan'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/execution_plan.rb:193:in `call'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/execution_plan.rb:193:in `switch_flow'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:303:in `concurrence'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:382:in `block in execute_plan'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:353:in `call'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:353:in `block in with_error_handling'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:353:in `catch'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:353:in `with_error_handling'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:381:in `execute_plan'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:222:in `execute'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/execution_plan/steps/plan_step.rb:54:in `block in

execute'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/execution_plan/steps/abstract.rb:141:in `call'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/execution_plan/steps/abstract.rb:141:in

`with_meta_calculation'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/execution_plan/steps/plan_step.rb:53:in

`execute'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:331:in `plan_action'

/home/jlsherri/git/katello/app/lib/actions/katello/repository/create.rb:49:in `block in plan'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p484@foreman/gems/dynflow-0.6.0/lib/dynflow/execution_plan.rb:193:in `call'

Associated revisions

Revision 71944f44 - 04/30/2014 02:23 PM - Stephen Herr 

Fixes #5037 - Enable ISO repo sets from a manifest
History

#1 - 04/29/2014 05:34 PM - Stephen Herr

- Status changed from New to Resolved

- Assignee set to Stephen Herr

Pull request submitted: https://github.com/Katello/katello/pull/4016

#2 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/22/2014 08:03 AM - Eric Helms

- translation missing: en.field_release set to 13
